MLAPI API Reference

# MessageType Class

[This is preliminary documentation and is subject to change.]

Represents a MLAPI message type
Inheritance Hierarchy
System
Object
MLAPI.Data
MessageType

Namespace: MLAPI.Data
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    [SerializableAttribute]
    public class MessageType

Request Example
View Source

The MessageType type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| MessageType | Initializes a new instance of the MessageType class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | (Inherited from Object.)
| Finalize | (Inherited from Object.)
| GetHashCode | (Inherited from Object.)
| GetType | (Inherited from Object.)
| MemberwiseClone | (Inherited from Object.)
| ToString | (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| Name | The name of the messageType
| Passthrough | Wheter or not the channel should have passthrough support.

Top
See Also

#### Reference

MLAPI.Data Namespace